Skip to main content
`Ctrl`+`K`

# VecScatterGetType

Gets the vector scatter type name (as a string) from the `VecScatter`.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterGetType(VecScatter sf, VecScatterType *type)

Not Collective

## Input Parameter

- sf - The vector scatter

## Output Parameter

- type - The vector scatter type name

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterType`, `VecScatterSetType()`, `VecScatterCreate()`

## Level

intermediate

## Location

src/vec/vec/utils/vscat.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages